## python-pynndescent 0.5.2%2Bdfsg

=== requirements.txt ===
joblib
scikit-learn>=0.18
scipy>=1.0
numba>=0.51.2
llvmlite>=0.34

## python-pynndescent 0.5.1

=== debian/changelog ===
python-pynndescent (0.5.1-2) unstable; urgency=medium

  * Section: Python
  * Spelling fix for long description
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 05 Feb 2021 14:31:16 +0100

python-pynndescent (0.5.1-1) unstable; urgency=medium

  * Initial release (Closes: #980537)

 -- Andreas Tille <tille@debian.org>  Wed, 20 Jan 2021 16:17:17 +0100

=== debian/control ===
Source: python-pynndescent
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-setuptools,
               python3-all,
               python3-joblib,
               python3-llvmlite,
               python3-numba,
               python3-scipy,
               python3-sklearn,
               python3-nose <!nocheck>
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/python-pynndescent
Vcs-Git: https://salsa.debian.org/med-team/python-pynndescent.git
Homepage: https://pypi.org/project/pynndescent/
Rules-Requires-Root: no

Package: python3-pynndescent
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Description: nearest neighbor descent for approximate nearest neighbors
 PyNNDescent is a Python nearest neighbor descent for approximate nearest
 neighbors. It provides a Python implementation of Nearest Neighbor
 Descent for k-neighbor-graph construction and approximate nearest
 neighbor search, as per the paper:
 .
 Dong, Wei, Charikar Moses, and Kai Li. "Efficient k-nearest neighbor
 graph construction for generic similarity measures." Proceedings of the
 20th international conference on World wide web. ACM, 2011.
 .
 This library supplements that approach with the use of random projection
 trees for initialisation. This can be particularly useful for the
 metrics that are amenable to such approaches (euclidean, minkowski,
 angular, cosine, etc.). Graph diversification is also performed, pruning
 the longest edges of any triangles in the graph.
 .
 Currently this library targets relatively high accuracy (80%-100%
 accuracy rate) approximate nearest neighbor searches.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pynndescent
export PYTHONPATH=$(CURDIR)

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4

https://pypi.python.org/simple/pynndescent .*/pynndescent-@ANY_VERSION@@ARCHIVE_EXT@#sha256=.*

## python-pynndescent 0.5.2+dfsg

=== debian/changelog ===
python-pynndescent (0.5.2+dfsg-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * New upstream version
  * Exclude *.pyc files from upstream source
  * Make package Architecture dependent to exclude 32bit architectures
    where the tests are failing
  * Remove empty boilerplate

  [ Nilesh Patra ]
  * d/rules: Enable build time tests respecting DEB_BUILD_OPTIONS
  * d/tests/control: Restrict testing architectures to supported
    build architectures
  * d/salsa-ci.yml: Do run build on i386

 -- Nilesh Patra <nilesh@debian.org>  Sat, 03 Jul 2021 23:45:46 +0530

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 Rules-Requires-Root: no
 
 Package: python3-pynndescent
-Architecture: all
+Architecture: any-amd64 arm64 mips64el ppc64el s390x ia64 ppc64 riscv64 sparc64 alpha
 Depends: ${python3:Depends},
          ${misc:Depends}
 Description: nearest neighbor descent for approximate nearest neighbors

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,8 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} -m nose -v -w $(CURDIR)/pynndescent/tests"
+endif

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-nose
Restrictions: allow-stderr
Architecture: amd64 arm64 mips64el ppc64el s390x ia64 ppc64 riscv64 sparc64 alpha

## python-pynndescent 0.5.7

=== debian/changelog ===
python-pynndescent (0.5.7-1ubuntu1) kinetic; urgency=medium

  * Increase test_spearmanr tolerance to avoid FTBFS on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 09 Sep 2022 16:02:33 +0000

python-pynndescent (0.5.7-1) unstable; urgency=medium

  * New upstream version
  * Move package to Debian Python Team
  * Switch test framework from nose to pytest
  * Standards-Version: 4.6.1 (routine-update)
  * Switch autopkgtest to pytest
  * Fix Homepage

 -- Andreas Tille <tille@debian.org>  Tue, 19 Jul 2022 08:21:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: python-pynndescent
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: python
 Priority: optional
@@ -7,16 +8,16 @@
                dh-python,
                python3-setuptools,
                python3-all,
-               python3-joblib,
-               python3-llvmlite,
-               python3-numba,
-               python3-scipy,
-               python3-sklearn,
-               python3-nose <!nocheck>
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/med-team/python-pynndescent
-Vcs-Git: https://salsa.debian.org/med-team/python-pynndescent.git
-Homepage: https://pypi.org/project/pynndescent/
+               python3-joblib <!nocheck>,
+               python3-llvmlite <!nocheck>,
+               python3-numba <!nocheck>,
+               python3-scipy <!nocheck>,
+               python3-sklearn <!nocheck>,
+               python3-pytest <!nocheck>
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pynndescent
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-pynndescent.git
+Homepage: https://github.com/lmcinnes/pynndescent/
 Rules-Requires-Root: no
 
 Package: python3-pynndescent

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pytest
Restrictions: allow-stderr
Architecture: amd64 arm64 mips64el ppc64el s390x ia64 ppc64 riscv64 sparc64 alpha

## python-pynndescent 0.5.8

=== debian/changelog ===
python-pynndescent (0.5.8-2) unstable; urgency=medium

  * Team Upload.
  * Skip some tests on arm, which seems to be rather due
    to issues with other packages
  * d/t/run-unit-test: test supported pyvers instead of release (-r)
  * Disable i386 in salsa-ci.yml
  * Test dep on python3-all

 -- Nilesh Patra <nilesh@debian.org>  Sun, 12 Feb 2023 01:31:13 +0530

python-pynndescent (0.5.8-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team Upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Simplify salsa-ci.yml

  [ Nilesh Patra ]
  * Add upstream patches to fix FTBFS

 -- Nilesh Patra <nilesh@debian.org>  Sat, 11 Feb 2023 23:29:37 +0530

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-pynndescent
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: python
 Priority: optional
@@ -14,7 +13,7 @@
                python3-scipy <!nocheck>,
                python3-sklearn <!nocheck>,
                python3-pytest <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pynndescent
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pynndescent.git
 Homepage: https://github.com/lmcinnes/pynndescent/

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pynndescent
export PYTHONPATH=$(CURDIR)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} -m pytest -v $(CURDIR)/pynndescent/tests"
endif

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pytest, python3-all
Restrictions: allow-stderr
Architecture: amd64 arm64 mips64el ppc64el s390x ia64 ppc64 riscv64 sparc64 alpha

## python-pynndescent 0.5.11

=== debian/changelog ===
python-pynndescent (0.5.11-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version (Closes: #1057598)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

  [ Benjamin Drung ]
  * test: load pynndescent_bug_np.npz from relative path
  * Hard-code __version__ during build to fix running test during build

 -- Benjamin Drung <bdrung@debian.org>  Sat, 01 Jun 2024 00:37:17 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3-setuptools,
+               dh-sequence-python3,
                python3-all,
                python3-joblib <!nocheck>,
                python3-llvmlite <!nocheck>,
                python3-numba <!nocheck>,
+               python3-pytest <!nocheck>,
                python3-scipy <!nocheck>,
-               python3-sklearn <!nocheck>,
-               python3-pytest <!nocheck>
+               python3-setuptools,
+               python3-sklearn <!nocheck>
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pynndescent
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pynndescent.git
@@ -20,9 +20,8 @@
 Rules-Requires-Root: no
 
 Package: python3-pynndescent
-Architecture: any-amd64 arm64 mips64el ppc64el s390x ia64 ppc64 riscv64 sparc64 alpha
-Depends: ${python3:Depends},
-         ${misc:Depends}
+Architecture: any-amd64 alpha arm64 ia64 mips64el ppc64 ppc64el riscv64 s390x sparc64
+Depends: ${misc:Depends}, ${python3:Depends}
 Description: nearest neighbor descent for approximate nearest neighbors
  PyNNDescent is a Python nearest neighbor descent for approximate nearest
  neighbors. It provides a Python implementation of Nearest Neighbor

=== debian/tests/control ===
Tests: run-unit-test
Depends: python3-all, python3-pytest, @
Restrictions: allow-stderr
Architecture: alpha amd64 arm64 ia64 mips64el ppc64 ppc64el riscv64 s390x sparc64

## python-pynndescent 0.5.13

=== requirements.txt ===
joblib
numpy>=1.17
scikit-learn>=0.18
scipy>=1.0
numba>=0.51.2
llvmlite>=0.34

=== debian/changelog ===
python-pynndescent (0.5.13-1) unstable; urgency=medium

  * New upstream version. Closes: #1090284, #1090284, #1058483, #1063636
  * Standards-Version: 4.7.2 (routine-update)
  * Refreshed the patches.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 01 Sep 2025 16:12:31 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-scipy <!nocheck>,
                python3-setuptools,
                python3-sklearn <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pynndescent
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pynndescent.git
 Homepage: https://github.com/lmcinnes/pynndescent/

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,17 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_NAME=pynndescent
 export PYTHONPATH=$(CURDIR)
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
+
+# Avoid chicken-egg problem with importlib.metadata.version()
+override_dh_auto_build:
+	sed -i "s/^__version__.*/__version__ = '$(DEB_VERSION_UPSTREAM)'/" pynndescent/__init__.py
+	dh_auto_build
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://pypi.python.org/simple/pynndescent .*/pynndescent-@ANY_VERSION@@ARCHIVE_EXT@#sha256=.*
